Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class RuleNotificationInstanceDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.RuleNotificationInstanceDesc

All Implemented Interfaces:
  Serializable

    @Entity
    public class RuleNotificationInstanceDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`RuleNotificationInstanceDesc()`
`RuleNotificationInstanceDesc(int sessionId, String notification)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getNotification()`
`long` | `getPk()`
`int` | `getSessionId()`
`void` | `setDataTimeStamp(Date dataTimeStamp)`
`void` | `setNotification(String notification)`
`void` | `setPk(long pk)`
`void` | `setSessionId(int sessionId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleNotificationInstanceDesc

    public RuleNotificationInstanceDesc()

### RuleNotificationInstanceDesc

    public RuleNotificationInstanceDesc(int sessionId,
                                        String notification)

Method Detail

### getPk

    public long getPk()

### setPk

    public void setPk(long pk)

### getNotification

    public String getNotification()

### setNotification

    public void setNotification(String notification)

### getSessionId

    public int getSessionId()

### setSessionId

    public void setSessionId(int sessionId)

### getDataTimeStamp

    public Date getDataTimeStamp()

### setDataTimeStamp

    public void setDataTimeStamp(Date dataTimeStamp)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.